Bug 827829 - (CVE-2011-3101, CVE-2012-1937, CVE-2012-1938, CVE-2012-1939, CVE-2012-3105) CVE-2011-3101 CVE-2012-1937 CVE-2012-1938 CVE-2012-1939 CVE-2012-3105 Mozilla: Miscellaneous memory safety hazards (rv:13.0/ rv:10.0.5) (MFSA 2012-34)
CVE-2011-3101 CVE-2012-1937 CVE-2012-1938 CVE-2012-1939 CVE-2012-3105 Mozilla...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20120605,repor...
: Security
Depends On:
Blocks: 816119
  Show dependency treegraph
 
Reported: 2012-06-03 04:28 EDT by Huzaifa S. Sidhpurwala
Modified: 2012-06-06 20:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 20:27:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-06-03 04:28:23 EDT
Mozilla developers identified and fixed several memory safety bugs in the browser engine used in Firefox and other Mozilla-based products. Some of these bugs showed evidence of memory corruption under certain circumstances, and we presume that with enough effort at least some of these could be exploited to run arbitrary code.

In general these flaws cannot be exploited through email in the Thunderbird and SeaMonkey products because scripting is disabled, but are potentially a risk in browser or browser-like contexts in those products.

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-34.html
Comment 1 Murray McAllister 2012-06-04 23:17:42 EDT
Acknowledgements CVE-2011-3101:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Ken Russell of Google as the original reporter.

Acknowledgements CVE-2012-1937:

Red Hat would like to thank the Mozilla project for reporting this issue.
Upstream acknowledges Igor Bukanov, Olli Pettay, Boris Zbarsky, and Jesse
Ruderman as the original reporters.

Acknowledgements CVE-2012-1938:

Red Hat would like to thank the Mozilla project for reporting this issue.
Upstream acknowledges Jesse Ruderman, Igor Bukanov, Bill McCloskey, Christian Holler, Andrew McCreight, and Brian Bondy as the original reporters.

Acknowledgements CVE-2012-1939:

Red Hat would like to thank the Mozilla project for reporting this issue.
Upstream acknowledges Christian Holler as the original reporter.
Comment 2 errata-xmlrpc 2012-06-05 16:59:02 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0710 https://rhn.redhat.com/errata/RHSA-2012-0710.html
Comment 3 Vincent Danen 2012-06-06 00:13:14 EDT
This came through as well; adding it here due to the relation to CVE-2011-3101:

Common Vulnerabilities and Exposures assigned an identifier CVE-2012-3105 to
the following vulnerability:

Name: CVE-2012-3105
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3105
Assigned: 20120605
Reference: http://www.mozilla.org/security/announce/2012/mfsa2012-34.html
Reference: https://bugzilla.mozilla.org/show_bug.cgi?id=744888

The glBufferData function in the WebGL implementation in Mozilla
Firefox 4.x through 12.0, Firefox ESR 10.x before 10.0.5, Thunderbird
5.0 through 12.0, Thunderbird ESR 10.x before 10.0.5, and SeaMonkey
before 2.10 does not properly mitigate an unspecified flaw in an
NVIDIA driver, which allows remote attackers to cause a denial of
service (memory corruption and application crash) or possibly execute
arbitrary code via unknown vectors, a related issue to CVE-2011-3101.
Comment 4 errata-xmlrpc 2012-06-06 19:51:05 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:0715 https://rhn.redhat.com/errata/RHSA-2012-0715.html

Note You need to log in before you can comment on or make changes to this bug.